{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.services.accounts;
in {
  options.local.services.accounts.enable = mkEnableOption "accounts settings";
  config = mkIf cfg.enable {
    accounts.email.accounts = {
      "fabian@posixlycorrect.com" = {
        address = "fabian@posixlycorrect.com";
        userName = "fabianmontero@fastmail.com";
        realName = "fabian";
        primary = true;
        flavor = "fastmail.com";
      };
    };
  };
}
